# Digital Porous Media (DPM) Tools
Welcome to DPM Tools! Our team at The University of Texas at Austin has put together a collection of Python tools and workflows to help streamline analysis of digital porous media images. 

Our intent is for these tools to be used with [Digital Porous Media Portal](<https://digitalporousmedia.org/>) (formerly Digital Rocks Portal), an excellent source of data! The Portal has undergone significant redesign, and we are excited to unveil it with these integrated tools!

## Capabilities
The Digital Porous Media team is working hard on adding new features and making improvements to this toolbox. So far, DPM Tools is comprised of the following modules:

- ```io```: Tools for reading and writing digital porous media images in a variety of file formats.
- ```metrics```: Functions for quantifying geometric properties of images
- ```segmentation```: Algorithms for classifying phases within an image
- ```visualization```: Workflows for 3D visualization

The goal of this project is to gather tools that are commonly used in digital porous media analysis, not to reinvent the wheel. By design, we tried to only build functions and workflows that are not readily available in other Python packages. If you have any requests for new features, please feel free to reach out!

## Installation
To install from PyPI:

    pip install dpm-tools

## Docs:
For examples on getting started, please see our [documentation](https://digital-porous-media.github.io/dpm_tools/html/)
